Platfform Asiantau ac API Road User Tools
Trosi pŵer
Trosi rhwng cilowatau, marchnerth mecanyddol, a marchnerth metrig (PS).
Rhyngwynebau
POST
Pwynt diwedd REST
/api/v1/power/convertMCP
Enw offeryn
convert_powerCais
Anfonwch y cais fel JSON. Mae cleientiaid MCP yn pasio'r un meysydd ag argumentau'r offeryn.
cURLshell
curl -X POST https://roaduser.tools/api/v1/power/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 150,
"from": "kw",
"to": "hp"
}'Corff y caisjson
{
"value": 150,
"from": "kw",
"to": "hp"
}Ymateb
Mae REST yn amgáu canlyniad y cyfrifiad yn yr amlen lwyddiant safonol. Mae MCP yn dychwelyd yr un data cyfrifo fel allbwn offeryn strwythuredig.
JSON
{
"ok": true,
"data": {
"input": {
"value": 150,
"from": "kw",
"to": "hp"
},
"conversions": {
"kw": 150,
"hp": 201.1533134392542,
"ps": 203.94324259558564
},
"result": 201.1533134392542
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Sgemâu
Mae'r diffiniadau isod yn dangos y JSON Schema cyflawn a ddefnyddir i ddilysu mewnbynnau a disgrifio allbynnau.
Cynllun mewnbwn
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Power value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
],
"description": "Input power unit. hp is mechanical horsepower; ps is metric horsepower (PS)."
},
"to": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}Cynllun allbwn
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
]
},
"to": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"kw": {
"type": "number"
},
"hp": {
"type": "number"
},
"ps": {
"type": "number"
}
},
"required": [
"kw",
"hp",
"ps"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}